# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-java
BuildRequires: unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define debug_package %{nil}

Summary:        Turkish spell checker library
Name:           zemberek
Version:        2.1.1
Release:        alt1_12
License:        MPLv1.1
Group:          Development/Java
URL:            http://zemberek.googlecode.com
Source:         http://zemberek.googlecode.com/files/%{name}-%{version}-src.zip
Source1:        zemberek-demo
Patch0:         java-source-target-version.patch
BuildRequires:  ant
BuildRequires:  java-devel-default /proc
BuildRequires:  javapackages-tools
BuildRequires:  xml-commons-apis-javadoc

Requires:       java
Source44: import.info

%description
Zemberek is an open source, platform independent, 
general purpose Natural Language Processing 
library and tool-set designed for Turkic languages,
especially Turkish.

%package javadoc
Summary: Javadocs for %{name}
Group:  Development/Java
Requires: %{name} = %{version}-%{release}
Requires: javapackages-tools
BuildArch: noarch

%description javadoc
This package contains the API documentation for %{name}.

%package docs
Summary: Documentation for %{name}
Group:  Development/Java
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description docs
This package contains %{name} documentation for developers.


%prep
%setup -q -n %{name}-%{version}-src
%patch0 -p1

find . -type f -name "*.class" | xargs rm -f
find . -type f -name "*.jar" | xargs rm -f

%build

%{ant} dist \
      javadocs

%install

mkdir -p %{buildroot}%{_javadir}/%{name}


install -D -m 655 dagitim/jar/zemberek-az-%{version}.jar %{buildroot}%{_javadir}/%{name}/zemberek-az.jar
install -D -m 655 dagitim/jar/zemberek-cekirdek-%{version}.jar %{buildroot}%{_javadir}/%{name}/zemberek-cekirdek.jar
install -D -m 655 dagitim/jar/zemberek-demo-%{version}.jar %{buildroot}%{_javadir}/%{name}/zemberek-demo.jar
install -D -m 655 dagitim/jar/zemberek-tk-%{version}.jar %{buildroot}%{_javadir}/%{name}/zemberek-tk.jar
install -D -m 655 dagitim/jar/zemberek-tr-%{version}.jar %{buildroot}%{_javadir}/%{name}/zemberek-tr.jar


# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -a build/java-docs/* %{buildroot}%{_javadocdir}/%{name}

#docs
mkdir -p %{buildroot}%{_docdir}/%{name}-docs
cp -a dokuman/%{name}* %{buildroot}%{_docdir}/%{name}-docs/
cp -a dokuman/*txt %{buildroot}%{_docdir}/%{name}-docs/
cp -R dokuman/dil-gelistirme/* %{buildroot}%{_docdir}/%{name}-docs/

# examples (demo)
install  -D -m 655 %{_sourcedir}/zemberek-demo   %{buildroot}%{_bindir}/%{name}-demo


%files
%doc surumler.txt dokuman/lisanslar/zemberek-license.txt
%{_javadir}/*
%{_bindir}/*

%files javadoc
%{_javadocdir}/%{name}

%files docs
%{_docdir}/%{name}-docs/*


%changelog
* Tue Oct 03 2023 Igor Vlasenko <viy@altlinux.org> 2.1.1-alt1_12
- update by mgaimport

* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 2.1.1-alt1_11
- update by mgaimport

* Fri Dec 25 2020 Igor Vlasenko <viy@altlinux.ru> 2.1.1-alt1_10
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 2.1.1-alt1_9
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 2.1.1-alt1_8
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 2.1.1-alt1_7
- new version

